MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029834Open CASCADE[OCCT] OCCT:Codingpublic2018-06-02 14:242018-07-30 10:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformLinuxOSUbuntu 17.04OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029834: Coding Rules - eliminate GCC compiler warnings -Wformat-overflow in IGESData_IGESWriter
DescriptionThe following GCC 7.2.0 compiler warnings should be eliminated:
/dev/occt.git/src/IFSelect/IFSelect_ShareOut.cxx|308|warning: ‘%d’ directive writing between 1 and 
10 bytes into a region of size 8 [-Wformat-overflow=]|
/usr/include/x86_64-linux-gnu/bits/stdio2.h|34|note: ‘__builtin___sprintf_chk’ output between 7 and 
25 bytes into a destination of size 10|

/dev/occt.git/src/IGESData/IGESData_IGESWriter.cxx|472|warning: ‘%7.7d’ directive writing between 
7 and 10 bytes into a region of size between 0 and 8 [-Wformat-overflow=]|
/usr/include/x86_64-linux-gnu/bits/stdio2.h|34|note: ‘__builtin___sprintf_chk’ output between 81 
and 144 bytes into a destination of size 81|

/dev/occt.git/src/IGESData/IGESData_IGESWriter.cxx|472|warning: ‘%7.7d’ directive writing between 
7 and 10 bytes into a region of size 8 [-Wformat-overflow=]|
/usr/include/x86_64-linux-gnu/bits/stdio2.h|34|note: ‘__builtin___sprintf_chk’ output 81 or more 
bytes (assuming 84) into a destination of size 81|

/dev/occt.git/src/IGESData/IGESData_IGESWriter.cxx|472|warning: ‘                                        
T0000001’ directive writing 48 bytes into a region of size between 33 and 49 [-Wformat-overflow=]|


/usr/include/x86_64-linux-gnu/bits/stdio2.h|34|note: ‘__builtin___sprintf_chk’ output between 81 
and 97 bytes into a destination of size 81|

note: directive argument in the range [2, 2147483647]|
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029252closedbugmaster Coding rules - eliminate GCC compiler warnings -Wformat-overflow 
has duplicate 0029904verifiedbugmaster Coding - GCC compiler warnings in OCCT on Fedora 26 64 bit 

-  Notes
(0077251)
git (administrator)
2018-07-04 09:00

Branch CR29834 has been created by kgv.

SHA-1: 735a5d1c8b9b0363e37542d4d7ea175208414e3c


Detailed log of new commits:

Author: abv
Date: Wed Jul 4 00:54:46 2018 +0300

    0029834: Coding Rules - eliminate GCC compiler warnings -Wformat-overflow in IGESData_IGESWriter
    
    String buffers are increased to be sufficient to accommodate result of sprintf() for any possible values of integer values being printed.
(0077252)
kgv (developer)
2018-07-04 10:05

Please take the patch.

http://jenkins-test-12.nnov.opencascade.com/view/CR29904-master-KGV/ [^]
(0077356)
git (administrator)
2018-07-08 12:00

Branch CR29834 has been deleted by inv.

SHA-1: 735a5d1c8b9b0363e37542d4d7ea175208414e3c

- Related Changesets
occt: master 5efab28a
Timestamp: 2018-07-03 21:54:46
Author: abv
Committer: bugmaster
Details ] Diff ]
0029834: Coding Rules - eliminate GCC compiler warnings -Wformat-overflow in IGESData_IGESWriter

String buffers have been increased to be sufficient to accommodate result of sprintf() for any possible printed integer values.
mod - src/IFSelect/IFSelect_ShareOut.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESWriter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-02 14:24 kgv New Issue
2018-06-02 14:24 kgv Assigned To => kgv
2018-06-02 14:24 kgv Relationship added related to 0029252
2018-06-29 11:03 kgv Relationship added has duplicate 0029904
2018-07-04 09:00 git Note Added: 0077251
2018-07-04 10:05 kgv Note Added: 0077252
2018-07-04 10:05 kgv Assigned To kgv => bugmaster
2018-07-04 10:05 kgv Status new => resolved
2018-07-04 10:05 kgv Status resolved => reviewed
2018-07-04 21:21 bugmaster Status reviewed => tested
2018-07-08 11:37 bugmaster Changeset attached => occt master 5efab28a
2018-07-08 11:37 bugmaster Status tested => verified
2018-07-08 11:37 bugmaster Resolution open => fixed
2018-07-08 12:00 git Note Added: 0077356
2018-07-30 10:12 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker